##############################################################################
# 
# Instrument configuration file for timidity
#
# Specify library directory:            dir <directory>
#
# - Multiple library directories may be given. The ones given last will be
#   searched first so you can override them in later configuration files.
#   Extra configuration files and MIDI files will also be searched in these
#   directories.
#
# Set tone bank or drum set to modify:  bank <number>
#                                       drumset <number>
#
# Map program number to patch map:      <program number> <patch name>
#
# - If the patch can't be found in the library directories, TiMidity will 
#   search again with ".pat" appended to the name.
#   Programs without a loaded patch will be silent, except that for
#   banks/drumsets >0, the corresponding patch in  bank/drumset 0 will
#   be used (if one exists).
#
# Read another configuration file:      source <file name>
#
# Syntax for soundfont assignment:
# For drumset
# <keynote> %font <soundfont> 128 <preset> <keynote> [options]
# For melodic instrument
# <prog> %font <soundfont> <bank> <preset> [keynote] [options]
# Note that bank 128 is used for drumset patch in soundfont file.
#
# The prefix name "%font" is special to load the patch from
# soundfont.
# For example.
# bank 0
# 24 %font /usr/local/lib/timidity/sfbank/Nylon_Guita_1.sf2 0 0

dir ../soundfonts

source soundfonts.cfg

bank 0

# (loop for n from 0 to 127
#       do (insert ?\n
#       	      (format "%s" n)
# 	      "	%font ChoriumRevA.SF2	0	"
# 	      (format "%s" n)))
0	%font ChoriumRevA.SF2	0	0 #Piano 1
1	%font ChoriumRevA.SF2	0	1 #Piano 2
2	%font ChoriumRevA.SF2	0	2 #Piano 3
3	%font ChoriumRevA.SF2	0	3 #Honky-tonk
4	%font ChoriumRevA.SF2	0	4 #E-Piano 1
5	%font ChoriumRevA.SF2	0	5 #E.Piano 2
6	%font ChoriumRevA.SF2	0	6 #Harpsichord
7	%font ChoriumRevA.SF2	0	7 #Clavinet
8	%font ChoriumRevA.SF2	0	8 #Celesta
9	%font ChoriumRevA.SF2	0	9 #Glockenspiel
10	%font ChoriumRevA.SF2	0	10 #Music Box
11	%font ChoriumRevA.SF2	0	11 #Vibraphone
12	%font ChoriumRevA.SF2	0	12 #Marimba
13	%font ChoriumRevA.SF2	0	13 #Xylophone
14	%font ChoriumRevA.SF2	0	14 #Tubular Bells
15	%font ChoriumRevA.SF2	0	15 #Dulcimer
16	%font ChoriumRevA.SF2	0	16 #Organ 1
17	%font ChoriumRevA.SF2	0	17 #Organ 2
18	%font ChoriumRevA.SF2	0	18 #Organ 3
19	%font ChoriumRevA.SF2	0	19 #Church Organ
20	%font ChoriumRevA.SF2	0	20 #Reed Organ
21	%font ChoriumRevA.SF2	0	21 #Accordion
22	%font ChoriumRevA.SF2	0	22 #Harmonica
23	%font ChoriumRevA.SF2	0	23 #Bandoneon
24	%font ChoriumRevA.SF2	0	24 #Nylon Guitar
25	%font ChoriumRevA.SF2	0	25 #Steel Guitar
26	%font ChoriumRevA.SF2	0	26 #Jazz Guitar
27	%font ChoriumRevA.SF2	0	27 #Clean Guitar
28	%font ChoriumRevA.SF2	0	28 #Guitar Mutes
29	%font ChoriumRevA.SF2	0	29 #Overdrive Guitar
30	%font ChoriumRevA.SF2	0	30 #Distortion Gtr
31	%font ChoriumRevA.SF2	0	31 #Guitar Harmonics
32	%font ChoriumRevA.SF2	0	32 #Acoustic Bass
33	%font ChoriumRevA.SF2	0	33 #Finger Bass
34	%font ChoriumRevA.SF2	0	34 #Pick Bass
35	%font ChoriumRevA.SF2	0	35 #Fretless Bass
36	%font ChoriumRevA.SF2	0	36 #Slap Bass 1
37	%font ChoriumRevA.SF2	0	37 #Slap Bass 2
38	%font ChoriumRevA.SF2	0	38 #Synth Bass 1
39	%font ChoriumRevA.SF2	0	39 #Synth Bass 2
40	%font ChoriumRevA.SF2	0	40 #Violin
41	%font ChoriumRevA.SF2	0	41 #Viola
42	%font ChoriumRevA.SF2	0	42 #Cello
43	%font ChoriumRevA.SF2	0	43 #Contrabass
44	%font ChoriumRevA.SF2	0	44 #T.Strings
45	%font ChoriumRevA.SF2	0	45 #Pizzicato
46	%font ChoriumRevA.SF2	0	46 #Harp
47	%font ChoriumRevA.SF2	0	47 #Timpani
48	%font ChoriumRevA.SF2	0	48 #Strings
49	%font ChoriumRevA.SF2	0	49 #S.Strings
50	%font ChoriumRevA.SF2	0	50 #Synth Strings 1
51	%font ChoriumRevA.SF2	0	51 #Synth Strings 2
52	%font ChoriumRevA.SF2	0	52 #Choral Aahhs
53	%font ChoriumRevA.SF2	0	53 #Voice Oohs
54	%font ChoriumRevA.SF2	0	54 #Synth Vox
55	%font ChoriumRevA.SF2	0	55 #Orchestra Hit
56	%font ChoriumRevA.SF2	0	56 #Trumpet
57	%font ChoriumRevA.SF2	0	57 #Trombone
58	%font ChoriumRevA.SF2	0	58 #Tuba
59	%font ChoriumRevA.SF2	0	59 #Mute Trumpet
60	%font ChoriumRevA.SF2	0	60 #French Horns
61	%font ChoriumRevA.SF2	0	61 #Brass
62	%font ChoriumRevA.SF2	0	62 #Synth Brass 1
63	%font ChoriumRevA.SF2	0	63 #Synth Brass 2
64	%font ChoriumRevA.SF2	0	64 #Sop Sax
65	%font ChoriumRevA.SF2	0	65 #Alto Sax
66	%font ChoriumRevA.SF2	0	66 #Tenor Sax
67	%font ChoriumRevA.SF2	0	67 #Baritone Sax
68	%font ChoriumRevA.SF2	0	68 #Oboe
69	%font ChoriumRevA.SF2	0	69 #Eng. Horn
70	%font ChoriumRevA.SF2	0	70 #Bassoon
71	%font ChoriumRevA.SF2	0	71 #Clarinet
72	%font ChoriumRevA.SF2	0	72 #Piccolo
73	%font ChoriumRevA.SF2	0	73 #Flute
74	%font ChoriumRevA.SF2	0	74 #Recorder
75	%font ChoriumRevA.SF2	0	75 #Pan Flute
76	%font ChoriumRevA.SF2	0	76 #Bottle Chiff
77	%font ChoriumRevA.SF2	0	77 #Shakuhachi
78	%font ChoriumRevA.SF2	0	78 #Whistle
79	%font ChoriumRevA.SF2	0	79 #Ocarina
80	%font ChoriumRevA.SF2	0	80 #Heavy Square Wave
81	%font ChoriumRevA.SF2	0	81 #Fat Saw Wave-Asp
82	%font ChoriumRevA.SF2	0	82 #Synth Calliope
83	%font ChoriumRevA.SF2	0	83 #Chiffer Lead
84	%font ChoriumRevA.SF2	0	84 #Charang
85	%font ChoriumRevA.SF2	0	85 #Solo Vox
86	%font ChoriumRevA.SF2	0	86 #5th Saw Wave
87	%font ChoriumRevA.SF2	0	87 #Bass & Lead
88	%font ChoriumRevA.SF2	0	88 #Fantasia
89	%font ChoriumRevA.SF2	0	89 #Warm Pad
90	%font ChoriumRevA.SF2	0	90 #Poly Synth
91	%font ChoriumRevA.SF2	0	91 #Space Voice
92	%font ChoriumRevA.SF2	0	92 #Bowed Glass
93	%font ChoriumRevA.SF2	0	93 #Metal Pad
94	%font ChoriumRevA.SF2	0	94 #Halo Pad
95	%font ChoriumRevA.SF2	0	95 #Sweep Pad
96	%font ChoriumRevA.SF2	0	96 #Ice Rain
97	%font ChoriumRevA.SF2	0	97 #Soundtrack
98	%font ChoriumRevA.SF2	0	98 #Crystal
99	%font ChoriumRevA.SF2	0	99 #Atmosphere
100	%font ChoriumRevA.SF2	0	100 #Brightness
101	%font ChoriumRevA.SF2	0	101 #Goblin
102	%font ChoriumRevA.SF2	0	102 #Echo Drops
103	%font ChoriumRevA.SF2	0	103 #Star Theme
104	%font ChoriumRevA.SF2	0	104 #Sitar
105	%font ChoriumRevA.SF2	0	105 #Banjo
106	%font ChoriumRevA.SF2	0	106 #Shamisen
107	%font ChoriumRevA.SF2	0	107 #Koto
108	%font ChoriumRevA.SF2	0	108 #Kalimba
109	%font ChoriumRevA.SF2	0	109 #Bagpipe
110	%font ChoriumRevA.SF2	0	110 #Fiddle
111	%font ChoriumRevA.SF2	0	111 #Shenai
112	%font ChoriumRevA.SF2	0	112 #Tinker Bell
113	%font ChoriumRevA.SF2	0	113 #Agogo
114	%font ChoriumRevA.SF2	0	114 #Steel Drum
115	%font ChoriumRevA.SF2	0	115 #Wood Block
116	%font ChoriumRevA.SF2	0	116 #Taiko Drum
117	%font ChoriumRevA.SF2	0	117 #Melodic Tom
118	%font ChoriumRevA.SF2	0	118 #Synth Drum
119	%font ChoriumRevA.SF2	0	119 #Reverse Cymbal
120	%font ChoriumRevA.SF2	0	120 #Fret Noise
121	%font ChoriumRevA.SF2	0	121 #Breath Noise
122	%font ChoriumRevA.SF2	0	122 #Seashore
123	%font ChoriumRevA.SF2	0	123 #Bird
124	%font ChoriumRevA.SF2	0	124 #Telephone
125	%font ChoriumRevA.SF2	0	125 #Helicopter
126	%font ChoriumRevA.SF2	0	126 #Applause
127	%font ChoriumRevA.SF2	0	127 #Gun Shot

drumset 0

# (loop for n from 0 to 127
#       do (insert ?\n
#       	      (format "%s" n)
# 	      "	%font ChoriumRevA.SF2 128 0 "
# 	      (format "%s" n)))
0	%font ChoriumRevA.SF2 128 0 0
1	%font ChoriumRevA.SF2 128 0 1
2	%font ChoriumRevA.SF2 128 0 2
3	%font ChoriumRevA.SF2 128 0 3
4	%font ChoriumRevA.SF2 128 0 4
5	%font ChoriumRevA.SF2 128 0 5
6	%font ChoriumRevA.SF2 128 0 6
7	%font ChoriumRevA.SF2 128 0 7
8	%font ChoriumRevA.SF2 128 0 8
9	%font ChoriumRevA.SF2 128 0 9
10	%font ChoriumRevA.SF2 128 0 10
11	%font ChoriumRevA.SF2 128 0 11
12	%font ChoriumRevA.SF2 128 0 12
13	%font ChoriumRevA.SF2 128 0 13
14	%font ChoriumRevA.SF2 128 0 14
15	%font ChoriumRevA.SF2 128 0 15
16	%font ChoriumRevA.SF2 128 0 16
17	%font ChoriumRevA.SF2 128 0 17
18	%font ChoriumRevA.SF2 128 0 18
19	%font ChoriumRevA.SF2 128 0 19
20	%font ChoriumRevA.SF2 128 0 20
21	%font ChoriumRevA.SF2 128 0 21
22	%font ChoriumRevA.SF2 128 0 22
23	%font ChoriumRevA.SF2 128 0 23
24	%font ChoriumRevA.SF2 128 0 24
25	%font ChoriumRevA.SF2 128 0 25
26	%font ChoriumRevA.SF2 128 0 26
27	%font ChoriumRevA.SF2 128 0 27
28	%font ChoriumRevA.SF2 128 0 28
29	%font ChoriumRevA.SF2 128 0 29
30	%font ChoriumRevA.SF2 128 0 30
31	%font ChoriumRevA.SF2 128 0 31
32	%font ChoriumRevA.SF2 128 0 32
33	%font ChoriumRevA.SF2 128 0 33
34	%font ChoriumRevA.SF2 128 0 34
35	%font ChoriumRevA.SF2 128 0 35
36	%font ChoriumRevA.SF2 128 0 36
37	%font ChoriumRevA.SF2 128 0 37
38	%font ChoriumRevA.SF2 128 0 38
39	%font ChoriumRevA.SF2 128 0 39
40	%font ChoriumRevA.SF2 128 0 40
41	%font ChoriumRevA.SF2 128 0 41
42	%font ChoriumRevA.SF2 128 0 42
43	%font ChoriumRevA.SF2 128 0 43
44	%font ChoriumRevA.SF2 128 0 44
45	%font ChoriumRevA.SF2 128 0 45
46	%font ChoriumRevA.SF2 128 0 46
47	%font ChoriumRevA.SF2 128 0 47
48	%font ChoriumRevA.SF2 128 0 48
49	%font ChoriumRevA.SF2 128 0 49
50	%font ChoriumRevA.SF2 128 0 50
51	%font ChoriumRevA.SF2 128 0 51
52	%font ChoriumRevA.SF2 128 0 52
53	%font ChoriumRevA.SF2 128 0 53
54	%font ChoriumRevA.SF2 128 0 54
55	%font ChoriumRevA.SF2 128 0 55
56	%font ChoriumRevA.SF2 128 0 56
57	%font ChoriumRevA.SF2 128 0 57
58	%font ChoriumRevA.SF2 128 0 58
59	%font ChoriumRevA.SF2 128 0 59
60	%font ChoriumRevA.SF2 128 0 60
61	%font ChoriumRevA.SF2 128 0 61
62	%font ChoriumRevA.SF2 128 0 62
63	%font ChoriumRevA.SF2 128 0 63
64	%font ChoriumRevA.SF2 128 0 64
65	%font ChoriumRevA.SF2 128 0 65
66	%font ChoriumRevA.SF2 128 0 66
67	%font ChoriumRevA.SF2 128 0 67
68	%font ChoriumRevA.SF2 128 0 68
69	%font ChoriumRevA.SF2 128 0 69
70	%font ChoriumRevA.SF2 128 0 70
71	%font ChoriumRevA.SF2 128 0 71
72	%font ChoriumRevA.SF2 128 0 72
73	%font ChoriumRevA.SF2 128 0 73
74	%font ChoriumRevA.SF2 128 0 74
75	%font ChoriumRevA.SF2 128 0 75
76	%font ChoriumRevA.SF2 128 0 76
77	%font ChoriumRevA.SF2 128 0 77
78	%font ChoriumRevA.SF2 128 0 78
79	%font ChoriumRevA.SF2 128 0 79
80	%font ChoriumRevA.SF2 128 0 80
81	%font ChoriumRevA.SF2 128 0 81
82	%font ChoriumRevA.SF2 128 0 82
83	%font ChoriumRevA.SF2 128 0 83
84	%font ChoriumRevA.SF2 128 0 84
85	%font ChoriumRevA.SF2 128 0 85
86	%font ChoriumRevA.SF2 128 0 86
87	%font ChoriumRevA.SF2 128 0 87
88	%font ChoriumRevA.SF2 128 0 88
89	%font ChoriumRevA.SF2 128 0 89
90	%font ChoriumRevA.SF2 128 0 90
91	%font ChoriumRevA.SF2 128 0 91
92	%font ChoriumRevA.SF2 128 0 92
93	%font ChoriumRevA.SF2 128 0 93
94	%font ChoriumRevA.SF2 128 0 94
95	%font ChoriumRevA.SF2 128 0 95
96	%font ChoriumRevA.SF2 128 0 96
97	%font ChoriumRevA.SF2 128 0 97
98	%font ChoriumRevA.SF2 128 0 98
99	%font ChoriumRevA.SF2 128 0 99
100	%font ChoriumRevA.SF2 128 0 100
101	%font ChoriumRevA.SF2 128 0 101
102	%font ChoriumRevA.SF2 128 0 102
103	%font ChoriumRevA.SF2 128 0 103
104	%font ChoriumRevA.SF2 128 0 104
105	%font ChoriumRevA.SF2 128 0 105
106	%font ChoriumRevA.SF2 128 0 106
107	%font ChoriumRevA.SF2 128 0 107
108	%font ChoriumRevA.SF2 128 0 108
109	%font ChoriumRevA.SF2 128 0 109
110	%font ChoriumRevA.SF2 128 0 110
111	%font ChoriumRevA.SF2 128 0 111
112	%font ChoriumRevA.SF2 128 0 112
113	%font ChoriumRevA.SF2 128 0 113
114	%font ChoriumRevA.SF2 128 0 114
115	%font ChoriumRevA.SF2 128 0 115
116	%font ChoriumRevA.SF2 128 0 116
117	%font ChoriumRevA.SF2 128 0 117
118	%font ChoriumRevA.SF2 128 0 118
119	%font ChoriumRevA.SF2 128 0 119
120	%font ChoriumRevA.SF2 128 0 120
121	%font ChoriumRevA.SF2 128 0 121
122	%font ChoriumRevA.SF2 128 0 122
123	%font ChoriumRevA.SF2 128 0 123
124	%font ChoriumRevA.SF2 128 0 124
125	%font ChoriumRevA.SF2 128 0 125
126	%font ChoriumRevA.SF2 128 0 126
127	%font ChoriumRevA.SF2 128 0 127



##############################################################################
# End of configuration file
